## List tokens. `client.AISearch.Tokens.List(ctx, params) (*V4PagePaginationArray[TokenListResponse], error)` **get** `/accounts/{account_id}/ai-search/tokens` List tokens. ### Parameters - `params TokenListParams` - `AccountID param.Field[string]` Path param - `OrderBy param.Field[TokenListParamsOrderBy]` Query param: Order By Column Name - `const TokenListParamsOrderByCreatedAt TokenListParamsOrderBy = "created_at"` - `OrderByDirection param.Field[TokenListParamsOrderByDirection]` Query param: Order By Direction - `const TokenListParamsOrderByDirectionAsc TokenListParamsOrderByDirection = "asc"` - `const TokenListParamsOrderByDirectionDesc TokenListParamsOrderByDirection = "desc"` - `Page param.Field[int64]` Query param - `PerPage param.Field[int64]` Query param ### Returns - `type TokenListResponse struct{…}` - `ID string` - `CfAPIID string` - `CreatedAt Time` - `ModifiedAt Time` - `Name string` - `CreatedBy string` - `Enabled bool` - `Legacy bool` - `ModifiedBy string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_search" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.AISearch.Tokens.List(context.TODO(), ai_search.TokenListParams{ AccountID: cloudflare.F("c3dc5f0b34a14ff8e1b3ec04895e1b22"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "result": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "cf_api_id": "cf_api_id", "created_at": "2019-12-27T18:11:19.117Z", "modified_at": "2019-12-27T18:11:19.117Z", "name": "name", "created_by": "created_by", "enabled": true, "legacy": true, "modified_by": "modified_by" } ], "success": true } ```